Subject: Missing number superscripts in the `C-x 8 ^' map
From: Tor Kringeland <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 30 May 2022 09:19:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

`C-x 8 ^ 1'--`C-x 8 ^ 3' are supported, but not the other seven numbers;
this should be extended.  Maybe superscripts of + and - could also be
included --- they are included in some other input methods in Emacs
(e.g., `compose').

Also, it would be nice to have the same characters for subscripts (with
`C-x 8 _').  For other subscripts and superscripts, an input method
would be more appropriate (though general sub- and superscripts seem to
not be supported by any input method built into Emacs).  But I think
extending the `C-x 8' map to support number super- and subscripts is
reasonable.